
From: Hugh Dickins <hugh@veritas.com>

Once all the MMU architectures define FIRST_USER_ADDRESS, remove hack from
mmap.c which derived it from FIRST_USER_PGD_NR.

Signed-off-by: Hugh Dickins <hugh@veritas.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/mmap.c |    5 -----
 1 files changed, 5 deletions(-)

diff -puN mm/mmap.c~freepgt2-remove-first_user_address-hack mm/mmap.c
--- 25/mm/mmap.c~freepgt2-remove-first_user_address-hack	2005-04-06 18:25:47.000000000 -0700
+++ 25-akpm/mm/mmap.c	2005-04-06 18:25:47.000000000 -0700
@@ -1612,11 +1612,6 @@ static void unmap_vma_list(struct mm_str
 	validate_mm(mm);
 }
 
-#ifndef FIRST_USER_ADDRESS	/* temporary hack */
-#define THIS_IS_ARM		FIRST_USER_PGD_NR
-#define FIRST_USER_ADDRESS	(THIS_IS_ARM * PAGE_SIZE)
-#endif
-
 /*
  * Get rid of page table information in the indicated region.
  *
_
